Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezgzipcompressionhandler.php
Go to the documentation of this file.
1 <?php
22 class eZGZIPCompressionHandler extends eZForwardCompressionHandler
23 {
27 public function __construct()
28 {
29 if ( eZGZIPZLIBCompressionHandler::isAvailable() )
30 $handler = new eZGZIPZLIBCompressionHandler();
31 else if ( eZGZIPShellCompressionHandler::isAvailable() )
32 $handler = new eZGZIPShellCompressionHandler();
33 else
34 $handler = new eZNoCompressionHandler();
35 parent::__construct( $handler, 'GZIP', 'gzip' );
36 }
37
41 function setCompressionLevel( $level )
42 {
43 $handler =& $this->handler();
44 if ( method_exists( $handler, 'setCompressionLevel' ) )
45 $handler->setCompressionLevel( $level );
46 }
47
51 function compressionLevel()
52 {
53 $handler =& $this->handler();
54 if ( method_exists( $handler, 'compressionLevel' ) )
55 return $handler->compressionLevel();
56 return false;
57 }
58 }
59
60 ?>
$level
$level
Definition: admin/message.php:106
eZForwardCompressionHandler
Handles files compressed with gzip.
Definition: ezforwardcompressionhandler.php:21
eZGZIPCompressionHandler
Handles files compressed with gzip.
Definition: ezgzipcompressionhandler.php:23
eZGZIPCompressionHandler\__construct
__construct()
Definition: ezgzipcompressionhandler.php:27
eZGZIPCompressionHandler\setCompressionLevel
setCompressionLevel( $level)
Definition: ezgzipcompressionhandler.php:41
eZGZIPCompressionHandler\compressionLevel
compressionLevel()
Definition: ezgzipcompressionhandler.php:51
eZGZIPShellCompressionHandler
Handles files compressed with gzip using the shell commands.
Definition: ezgzipshellcompressionhandler.php:23
eZGZIPShellCompressionHandler\isAvailable
static isAvailable()
Definition: ezgzipshellcompressionhandler.php:53
eZGZIPZLIBCompressionHandler
Handles files compressed with gzip using the zlib extension.
Definition: ezgzipzlibcompressionhandler.php:21
eZGZIPZLIBCompressionHandler\isAvailable
static isAvailable()
Definition: ezgzipzlibcompressionhandler.php:52
eZNoCompressionHandler
Does no compression at all.
Definition: eznocompressionhandler.php:19
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.